
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * VO
 *
 * @author tmerclub
 * @date 2020-11-11 13:49:06
 */
public class SpuExtensionVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品扩展信息表id")
    private Long spuExtendId;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新时间")
    private Date updateTime;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "评论数量")
    private Integer commentNum;

    @Schema(description = "销量")
    private Integer saleNum;

    public Long getSpuExtendId() {
        return spuExtendId;
    }

    public void setSpuExtendId(Long spuExtendId) {
        this.spuExtendId = spuExtendId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(Integer commentNum) {
        this.commentNum = commentNum;
    }

    public Integer getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Integer saleNum) {
        this.saleNum = saleNum;
    }

    @Override
    public String toString() {
        return "SpuExtensionVO{" +
                "spuExtendId=" + spuExtendId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", spuId=" + spuId +
                ", commentNum=" + commentNum +
                ", saleNum=" + saleNum +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
